## org.omg.IOP
Class MultipleComponentProfileHelper

    java.lang.Object
      |
      +--org.omg.IOP.MultipleComponentProfileHelper

public class MultipleComponentProfileHelper
extends java.lang.Object

Helper class for : MultipleComponentProfile

Author:
  OpenORB Compiler

Constructor Summary
`MultipleComponentProfileHelper()`

Method Summary
`static TaggedComponent[]` `extract(Any a)` Extract MultipleComponentProfile from an any
`static java.lang.String` `id()` Return the MultipleComponentProfile IDL ID
`static void` `insert(Any a, TaggedComponent[] t)` Insert MultipleComponentProfile into an any
`static TaggedComponent[]` `read(InputStream istream)` Read MultipleComponentProfile from a marshalled stream
`static TypeCode` `type()` Return the MultipleComponentProfile TypeCode
`static void` `write(OutputStream ostream, TaggedComponent[] value)` Write MultipleComponentProfile into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleComponentProfileHelper

    public MultipleComponentProfileHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TaggedComponent[] t)

  Insert MultipleComponentProfile into an any
  Parameters:
    `a` - an any
    `t` - MultipleComponentProfile value

### extract

    public static TaggedComponent[] extract(Any a)

  Extract MultipleComponentProfile from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted MultipleComponentProfile value

### type

    public static TypeCode type()

  Return the MultipleComponentProfile TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the MultipleComponentProfile IDL ID
  Returns:
    an ID

### read

    public static TaggedComponent[] read(InputStream istream)

  Read MultipleComponentProfile from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed MultipleComponentProfile value

### write

    public static void write(OutputStream ostream,
                             TaggedComponent[] value)

  Write MultipleComponentProfile into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - MultipleComponentProfile value